﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace howto_unique_list
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private List<Person> People = new List<Person>();

        // Add a new Person if that Person isn't already in the list.
        private void btnAdd_Click(object sender, EventArgs e)
        {
            lstPeople.DataSource = null;

            Person person =
                new Person(txtFirstName.Text, txtLastName.Text);
            if (!People.Contains(person))
                People.Add(person);

            txtFirstName.Clear();
            txtLastName.Clear();
            txtFirstName.Focus();

            lstPeople.DataSource = People;
        }
    }
}
